View Issue Details

IDProjectCategoryView StatusLast Update
0002535Far ManagerDialogpublic2013-12-04 03:17
ReporterCavalerAssigned ToDrKnS 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002535: Crash при открытии History в маленьком EditBox
DescriptionEditBox размером в 4 символа (X1=30 X2=33), с флагом DIF_HISTORY. В нем введена строка, например, "80". При нажатии BackSpace - Far3 падает.

std::length_error в vmenu.cpp, line 2255
Steps To ReproduceПоставить плагин PhotoHosting 2.32
Открыть Plugins configuration | Photo hosting client | Image processing
Поставить курсорв конце второй строки ввода ("Quality...") и нажать Backspace
TagsNo tags attached.
Build3726

Activities

DrKnS

2013-11-27 23:15

administrator   bugnote:0011571

3726

Issue History

Date Modified Username Field Change
2013-11-27 18:49 Cavaler New Issue
2013-11-27 23:15 DrKnS Note Added: 0011571
2013-11-27 23:15 DrKnS Assigned To => DrKnS
2013-11-27 23:15 DrKnS Status new => feedback
2013-11-28 12:23 Cavaler Status feedback => resolved
2013-12-04 03:17 DrKnS Build => 3726
2013-12-04 03:17 DrKnS Status resolved => closed
2013-12-04 03:17 DrKnS Resolution open => fixed
2013-12-04 03:17 DrKnS Fixed in Version => 3.0